Skip to main content
Model IDveo-3.1
ProviderGoogle
Cost$5.00/video
Duration4/6/8s
Speed~3-5 min
Best forBest quality

Example

curl -X POST https://ninjachat.ai/api/v1/video \
  -H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "veo-3.1", "prompt": "A single drop of ink falls into crystal clear water, blooming into a dragon shape, macro photography", "duration": 6}'
import requests, os

r = requests.post("https://ninjachat.ai/api/v1/video",
    headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
    json={"model": "veo-3.1", "prompt": "A single drop of ink falls into crystal clear water, blooming into a dragon shape, macro photography", "duration": 6}
)
print(f"Poll: {r.json()['request_id']}")

Guides: Video Generation | All Models | Pricing | Error Handling